# EntityProto Class Reference

Inheritance diagram for EntityProto:
[legend]

List of all members.

## Public Member Functions

| baseProto ()
| className ()
| getFormMapping ()
| checkConstraints ($object, Form $form, $previousObject=null)
| isAbstract ()
| isInstanceOf (EntityProto $proto)
| getFullFormMapping ()
| validate ($object, $form, $previousObject=null)
| validateSelf ($object, $form, $previousObject=null)
| validateList ($objectsList, $formsList, $previousObjectsList=null)
| createObject ()
| makeForm ()
| attachPrimitives (Form $form)
| getOwnPrimitive ($name)
| getPrimitive ($name)

## Public Attributes

const | PROTO_CLASS_PREFIX = 'EntityProto'

## Detailed Description

Definition at line 12 of file EntityProto.class.php.

## Member Function Documentation

EntityProto::attachPrimitives | ( | Form $ | form | ) | `[final]`

Returns:
  Form

Definition at line 192 of file EntityProto.class.php.

References PlainForm::add(), and getFormMapping().

Referenced by makeForm().

Here is the call graph for this function:

EntityProto::baseProto | ( |  | ) |

Definition at line 16 of file EntityProto.class.php.

Referenced by getFullFormMapping(), getPrimitive(), makeForm(), and validate().

EntityProto::checkConstraints | ( | $ | object,
|  | Form $ | form,
|  | $ | previousObject = `null` |
| ) |  |  |

Definition at line 36 of file EntityProto.class.php.

Referenced by validateSelf().

EntityProto::className | ( |  | ) |

Definition at line 21 of file EntityProto.class.php.

Referenced by createObject(), isInstanceOf(), and validate().

EntityProto::createObject | ( |  | ) | `[final]`

Definition at line 166 of file EntityProto.class.php.

References className().

Here is the call graph for this function:

EntityProto::getFormMapping | ( |  | ) |

Definition at line 28 of file EntityProto.class.php.

Referenced by PrototypedMethodCaller::__construct(), attachPrimitives(), getFullFormMapping(), getOwnPrimitive(), and validateSelf().

EntityProto::getFullFormMapping | ( |  | ) | `[final]`

Definition at line 55 of file EntityProto.class.php.

References baseProto(), and getFormMapping().

Here is the call graph for this function:

EntityProto::getOwnPrimitive | ( | $ | name | ) | `[final]`

Definition at line 200 of file EntityProto.class.php.

References getFormMapping().

Referenced by getPrimitive().

Here is the call graph for this function:

EntityProto::getPrimitive | ( | $ | name | ) | `[final]`

Definition at line 212 of file EntityProto.class.php.

References baseProto(), and getOwnPrimitive().

Here is the call graph for this function:

EntityProto::isAbstract | ( |  | ) |

Definition at line 43 of file EntityProto.class.php.

EntityProto::isInstanceOf | ( | EntityProto $ | proto | ) |

Definition at line 48 of file EntityProto.class.php.

References className().

Referenced by PrototypedBuilder::cloneBuilder().

Here is the call graph for this function:

EntityProto::makeForm | ( |  | ) | `[final]`

Returns:
  Form

Deprecated:
  you should use PrototypedBuilder to make forms

Definition at line 178 of file EntityProto.class.php.

References attachPrimitives(), baseProto(), and Form::create().

Here is the call graph for this function:

EntityProto::validate | ( | $ | object,
|  | $ | form,
|  | $ | previousObject = `null` |
| ) |  |  | `[final]`

Definition at line 65 of file EntityProto.class.php.

References baseProto(), className(), Assert::isInstance(), validateList(), and validateSelf().

Referenced by validateList().

Here is the call graph for this function:

EntityProto::validateList | ( | $ | objectsList,
|  | $ | formsList,
|  | $ | previousObjectsList = `null` |
| ) |  |  | `[final]`

Definition at line 129 of file EntityProto.class.php.

References Assert::isEqual(), and validate().

Referenced by validate().

Here is the call graph for this function:

EntityProto::validateSelf | ( | $ | object,
|  | $ | form,
|  | $ | previousObject = `null` |
| ) |  |  | `[final]`

Definition at line 86 of file EntityProto.class.php.

References checkConstraints(), and getFormMapping().

Referenced by validate().

Here is the call graph for this function:

## Member Data Documentation

const EntityProto::PROTO_CLASS_PREFIX = 'EntityProto'

Definition at line 14 of file EntityProto.class.php.

Referenced by PrimitiveForm::of().

The documentation for this class was generated from the following file:

- main/EntityProto/EntityProto.class.php